Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.messageservices.core.v1
Class RetrieveTransactionRequest

    java.lang.Object
      be.fgov.ehealth.messageservices.core.v1.RetrieveTransactionRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:56:41+02:00",
               comments="JAXB RI v2.2.11")
    public class RetrieveTransactionRequest

extends Object
implements Serializable

Java class for RetrieveTransactionRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RetrieveTransactionRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/messageservices/core/v1}RequestType"/>
             <element name="select" type="{http://www.ehealth.fgov.be/messageservices/core/v1}SelectRetrieveTransactionType"/>
           </sequence>
           <attribute name="messageProtocoleSchemaVersion" type="{http://www.w3.org/2001/XMLSchema}decimal" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RetrieveTransactionRequest()`

Method Summary
`BigDecimal` | `getMessageProtocoleSchemaVersion()` Gets the value of the messageProtocoleSchemaVersion property.
`RequestType` | `getRequest()` Gets the value of the request property.
`SelectRetrieveTransactionType` | `getSelect()` Gets the value of the select property.
`void` | `setMessageProtocoleSchemaVersion(BigDecimal value)` Sets the value of the messageProtocoleSchemaVersion property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.
`void` | `setSelect(SelectRetrieveTransactionType value)` Sets the value of the select property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrieveTransactionRequest

    public RetrieveTransactionRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getSelect

    public SelectRetrieveTransactionType getSelect()

  Gets the value of the select property.

  Returns:
    possible object is `SelectRetrieveTransactionType`

### setSelect

    public void setSelect(SelectRetrieveTransactionType value)

  Sets the value of the select property.

  Parameters:
    `value` - allowed object is `SelectRetrieveTransactionType`

### getMessageProtocoleSchemaVersion

    public BigDecimal getMessageProtocoleSchemaVersion()

  Gets the value of the messageProtocoleSchemaVersion property.

  Returns:
    possible object is `BigDecimal`

### setMessageProtocoleSchemaVersion

    public void setMessageProtocoleSchemaVersion(BigDecimal value)

  Sets the value of the messageProtocoleSchemaVersion property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.